Skip to main content
Get location menu
curl --request GET \
  --url https://api.maple.inc/v1/locations/{locationId}/menu \
  --header 'Authorization: Bearer <token>'
{
  "catalogId": "<string>",
  "storePublicId": "<string>",
  "versionId": "<string>",
  "currency": "<string>",
  "currencies": [
    {
      "currency": "<string>",
      "exponent": 123,
      "cashRoundingMinor": 123
    }
  ],
  "taxCategories": [
    {
      "name": "<string>",
      "id": "<string>",
      "externalId": "<string>"
    }
  ],
  "taxRates": [
    {
      "name": "<string>",
      "id": "<string>",
      "externalId": "<string>",
      "taxCategoryId": "<string>",
      "percentage": 123,
      "flatAmount": {
        "amountMinor": 123,
        "currency": "<string>"
      },
      "brackets": [
        {
          "from": {
            "amountMinor": 123,
            "currency": "<string>"
          },
          "tax": {
            "amountMinor": 123,
            "currency": "<string>"
          },
          "to": {
            "amountMinor": 123,
            "currency": "<string>"
          }
        }
      ],
      "compoundOnTaxRateIds": [
        "<string>"
      ],
      "tenderExemptions": [],
      "condition": {
        "minPrice": {
          "amountMinor": 123,
          "currency": "<string>"
        },
        "maxPrice": {
          "amountMinor": 123,
          "currency": "<string>"
        },
        "jurisdiction": "<string>",
        "attributes": [
          {
            "key": "<string>",
            "value": "<string>"
          }
        ]
      },
      "hiddenFromCustomer": true
    }
  ],
  "fees": [
    {
      "name": "<string>",
      "calculation": {
        "amount": {
          "amountMinor": 123,
          "currency": "<string>"
        },
        "percentage": 123,
        "eligibleProductSetId": "<string>",
        "excludedProductSetIds": [
          "<string>"
        ]
      },
      "id": "<string>",
      "externalId": "<string>",
      "taxCategoryId": "<string>",
      "refundable": true,
      "autoApply": {
        "byGuestCountGte": 123,
        "byFulfillmentMode": []
      },
      "containers": [
        {
          "amount": {
            "amountMinor": 123,
            "currency": "<string>"
          },
          "containerSizeMl": 123
        }
      ]
    }
  ],
  "productSets": [
    {
      "id": "<string>",
      "externalId": "<string>",
      "name": "<string>",
      "itemIdsAny": [
        "<string>"
      ],
      "itemIdsAll": [
        "<string>"
      ],
      "allProducts": true,
      "quantityExact": 123,
      "quantityMin": 123,
      "quantityMax": 123
    }
  ],
  "discounts": [
    {
      "name": "<string>",
      "id": "<string>",
      "externalId": "<string>",
      "amount": {
        "amountMinor": 123,
        "currency": "<string>"
      },
      "percentage": 123,
      "maximumAmount": {
        "amountMinor": 123,
        "currency": "<string>"
      },
      "benefitTargetProductSetId": "<string>",
      "bxgy": {
        "buyProductSetId": "<string>",
        "buyQuantity": 123,
        "getProductSetId": "<string>",
        "getQuantity": 123,
        "getBenefitAmount": {
          "amountMinor": 123,
          "currency": "<string>"
        },
        "getBenefitPercentage": 123,
        "customerChoosesReward": true
      },
      "freeFeeTargets": [],
      "modifiesTaxBasis": true
    }
  ],
  "promotions": [
    {
      "name": "<string>",
      "discountId": "<string>",
      "id": "<string>",
      "externalId": "<string>",
      "eligibility": {
        "minimumOrderSubtotal": {
          "amountMinor": 123,
          "currency": "<string>"
        },
        "matchProductSetId": "<string>",
        "excludeProductSetId": "<string>"
      },
      "availability": {
        "windows": [
          {
            "dayOfWeek": 123,
            "startTime": "<string>",
            "endTime": "<string>"
          }
        ]
      },
      "validFrom": "<string>",
      "validUntil": "<string>",
      "stacking": {
        "priority": 123
      },
      "redemption": {
        "maxUsesTotal": 123,
        "maxUsesPerCustomer": 123
      }
    }
  ],
  "coupons": [
    {
      "code": "<string>",
      "promotionId": "<string>",
      "id": "<string>",
      "externalId": "<string>",
      "maxRedemptions": 123,
      "perCustomerLimit": 123,
      "expiresAt": "<string>"
    }
  ],
  "modifierGroups": [
    {
      "externalId": "<string>",
      "name": "<string>",
      "minSelections": 123,
      "maxSelections": 123,
      "id": "<string>",
      "minUniqueSelections": 123,
      "maxUniqueSelections": 123,
      "freeSelectionCount": 123,
      "chargeKeptDefaults": true,
      "allowedQuantities": [
        123
      ],
      "options": [
        {
          "externalId": "<string>",
          "name": "<string>",
          "id": "<string>",
          "price": {
            "amount": {
              "amountMinor": 123,
              "currency": "<string>"
            },
            "taxInclusive": true,
            "currencyPrices": [
              {
                "amount": {
                  "amountMinor": 123,
                  "currency": "<string>"
                },
                "taxInclusive": true
              }
            ],
            "openBounds": {
              "min": {
                "amountMinor": 123,
                "currency": "<string>"
              },
              "max": {
                "amountMinor": 123,
                "currency": "<string>"
              },
              "presets": [
                {
                  "amountMinor": 123,
                  "currency": "<string>"
                }
              ]
            },
            "bulkTiers": [
              {
                "minQuantity": 123,
                "unitPrice": {
                  "amountMinor": 123,
                  "currency": "<string>"
                }
              }
            ],
            "measurementUnit": {
              "unit": "<string>",
              "precision": 123
            },
            "compareAtAmount": {
              "amountMinor": 123,
              "currency": "<string>"
            }
          },
          "defaultQuantity": 123,
          "minQuantity": 123,
          "maxQuantity": 123,
          "taxCategoryId": "<string>",
          "taxRateIds": [
            "<string>"
          ],
          "dietaryLabels": [
            "<string>"
          ],
          "allergens": [
            "<string>"
          ],
          "modifierGroups": [
            {
              "groupId": "<string>",
              "minSelections": 123,
              "maxSelections": 123,
              "minUniqueSelections": 123,
              "maxUniqueSelections": 123,
              "freeSelectionCount": 123,
              "chargeKeptDefaults": true,
              "allowedQuantities": [
                123
              ],
              "optionDefaults": [
                {
                  "optionId": "<string>",
                  "defaultQuantity": 123
                }
              ],
              "externalId": "<unknown>",
              "name": "<unknown>",
              "options": "<unknown>"
            }
          ]
        }
      ],
      "textMaxLength": 123,
      "groupId": "<unknown>"
    }
  ],
  "categories": [
    {
      "externalId": "<string>",
      "name": "<string>",
      "items": [
        {
          "externalId": "<string>",
          "name": "<string>",
          "variations": [
            {
              "externalId": "<string>",
              "name": "<string>",
              "price": {
                "amount": {
                  "amountMinor": 123,
                  "currency": "<string>"
                },
                "taxInclusive": true,
                "currencyPrices": [
                  {
                    "amount": {
                      "amountMinor": 123,
                      "currency": "<string>"
                    },
                    "taxInclusive": true
                  }
                ],
                "openBounds": {
                  "min": {
                    "amountMinor": 123,
                    "currency": "<string>"
                  },
                  "max": {
                    "amountMinor": 123,
                    "currency": "<string>"
                  },
                  "presets": [
                    {
                      "amountMinor": 123,
                      "currency": "<string>"
                    }
                  ]
                },
                "bulkTiers": [
                  {
                    "minQuantity": 123,
                    "unitPrice": {
                      "amountMinor": 123,
                      "currency": "<string>"
                    }
                  }
                ],
                "measurementUnit": {
                  "unit": "<string>",
                  "precision": 123
                },
                "compareAtAmount": {
                  "amountMinor": 123,
                  "currency": "<string>"
                }
              },
              "id": "<string>",
              "sku": "<string>",
              "barcodes": [
                "<string>"
              ],
              "modifierGroups": [
                {
                  "groupId": "<string>",
                  "minSelections": 123,
                  "maxSelections": 123,
                  "minUniqueSelections": 123,
                  "maxUniqueSelections": 123,
                  "freeSelectionCount": 123,
                  "chargeKeptDefaults": true,
                  "allowedQuantities": [
                    123
                  ],
                  "optionDefaults": [
                    {
                      "optionId": "<string>",
                      "defaultQuantity": 123
                    }
                  ],
                  "externalId": "<unknown>",
                  "name": "<unknown>",
                  "options": "<unknown>"
                }
              ],
              "dietaryLabels": [
                "<string>"
              ],
              "allergens": [
                "<string>"
              ],
              "calorieCount": 123
            }
          ],
          "id": "<string>",
          "description": "<string>",
          "modifierGroups": [
            {
              "groupId": "<string>",
              "minSelections": 123,
              "maxSelections": 123,
              "minUniqueSelections": 123,
              "maxUniqueSelections": 123,
              "freeSelectionCount": 123,
              "chargeKeptDefaults": true,
              "allowedQuantities": [
                123
              ],
              "optionDefaults": [
                {
                  "optionId": "<string>",
                  "defaultQuantity": 123
                }
              ],
              "externalId": "<unknown>",
              "name": "<unknown>",
              "options": "<unknown>"
            }
          ],
          "taxCategoryId": "<string>",
          "taxRateIds": [
            "<string>"
          ],
          "feeIds": [
            "<string>"
          ],
          "dietaryLabels": [
            "<string>"
          ],
          "allergens": [
            "<string>"
          ],
          "calorieCount": 123,
          "availability": {
            "windows": [
              {
                "dayOfWeek": 123,
                "startTime": "<string>",
                "endTime": "<string>"
              }
            ]
          }
        }
      ],
      "id": "<string>",
      "availability": {
        "windows": [
          {
            "dayOfWeek": 123,
            "startTime": "<string>",
            "endTime": "<string>"
          }
        ]
      }
    }
  ],
  "locale": "<string>",
  "timezone": "<string>"
}

Authorizations

Authorization
string
header
required

API key — mpk_test_… for the sandbox, mpk_live_… for production. Issued by Maple during partner onboarding.

Path Parameters

locationId
string
required

Response

Success

catalogId
string
required
storePublicId
string
required
versionId
string
required
currency
string
required
currencies
object[]
required
taxCategories
object[]
required
taxRates
object[]
required
fees
object[]
required
productSets
object[]
required
discounts
object[]
required
promotions
object[]
required
coupons
object[]
required
modifierGroups
object[]
required
categories
object[]
required
locale
string
timezone
string